Help

0

getting error in my logfile

Avatar
christian muland

I am getting this error in my logfile can someone help? using version12

2020-02-14 10:28:19,387 1160 ERROR casafebruarie odoo.addons.mail.models.mail_mail: Failed processing mail queue 
Traceback (most recent call last):
File "/odoo/odoo-server/odoo/api.py", line 1049, in get
value = self._data[key][field][record._ids[0]]
KeyError: 1022

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/fields.py", line 1005, in __get__
value = record.env.cache.get(record, self)
File "/odoo/odoo-server/odoo/api.py", line 1051, in get
raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('mail.mail(1022,).mail_server_id', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/odoo/odoo-server/addons/mail/models/mail_mail.py", line 139, in process_email_queue
res = self.browse(ids).send(auto_commit=auto_commit)
File "/odoo/odoo-server/addons/mail/models/mail_mail.py", line 248, in send
for server_id, batch_ids in self._split_by_server():
File "/odoo/odoo-server/addons/mail/models/mail_mail.py", line 225, in _split_by_server
groups[mail.mail_server_id.id].append(mail.id)
File "/odoo/odoo-server/odoo/fields.py", line 1012, in __get__
value = record.env.cache.get(record, self)
File "/odoo/odoo-server/odoo/api.py", line 1053, in get
return value.get() if isinstance(value, SpecialValue) else value
File "/odoo/odoo-server/odoo/api.py", line 1096, in getter
raise exception
File "/odoo/odoo-server/odoo/fields.py", line 1081, in compute_value
self._compute_value(record)
File "/odoo/odoo-server/odoo/fields.py", line 1069, in _compute_value
self.compute(records)
File "/odoo/odoo-server/odoo/fields.py", line 633, in _compute_related
record[self.name] = value[self.related_field.name]
File "/odoo/odoo-server/odoo/models.py", line 5123, in __getitem__
return self._fields[key].__get__(self, type(self))
File "/odoo/odoo-server/odoo/fields.py", line 1009, in __get__
self.determine_value(record)
File "/odoo/odoo-server/odoo/fields.py", line 1112, in determine_value
record._prefetch_field(self)
File "/odoo/odoo-server/odoo/models.py", line 2846, in _prefetch_field
result = self.read([f.name for f in fs], load='_classic_write')
File "/odoo/custom/addons/ks_chat_edit_and_delete/models/models.py", line 58, in read
return super(KsChatDelete, self).read(fields=fields, load=load)
File "/odoo/odoo-server/addons/mail/models/mail_message.py", line 1012, in read
self.check_access_rule('read')
File "/odoo/odoo-server/addons/website_mail/models/mail_message.py", line 66, in check_access_rule
return super(MailMessage, self).check_access_rule(operation=operation)
File "/odoo/odoo-server/addons/mail/models/mail_message.py", line 901, in check_access_rule
+ ' - ({} {}, {} {})'.format(_('Records:'), list(other_ids)[:6], _('User:'), self._uid)
odoo.exceptions.AccessError: ('The requested operation cannot be completed due to security restrictions. Please contact your system administrator.\n\n(Document type: Message, Operation: read) - (Records: [17746], User: 2)', None)

2 Comments
Avatar
Discard
Avatar
Ermin Trevisan
-

Please use a meanngful title and provide context information.

Avatar
Ibrahim Boudmir
-

It says that your user (with id=2 ) does not have access rule ( Read ) to the model mail.message. Check your access rules for that model.

1 Answer
0
Avatar
Ermin Trevisan
Best Answer

User with ID 2 is the default admin user. If you manipulate this user, you have serious problems.

1 Comment
Avatar
Discard
Avatar
christian muland
-

thanks